(define (domain exblock)
  (:requirements :typing :strips :equality :probabilistic-effects :rewards)
  (:types)
  (:predicates                (emptyhand )
               (noDestroyedTable )
  )
  (:action putOnBlock
   :parameters (?X - default ?Y - default)
   :precondition (and (not (onTable ?Y)) )
   :effect (and (probabilistic  1 (and (emptyhand) (on ?X ?Y) (not (clear ?Y)) (not (holding ?X)) ))
 )
  )
  (:action putOnBlock
   :parameters (?X - default ?Y - default)
   :precondition (and (onTable ?Y) )
   :effect (and (probabilistic )
 )
  )
  (:action pickUp
   :parameters (?X - default ?Y - default)
   :precondition (and (clear ?X) (emptyhand) (on ?X ?Y) )
   :effect (and (probabilistic  1 (and (clear ?Y) (holding ?X) (not (emptyhand)) (not (on ?X ?Y)) ))
 )
  )
  (:action pickUp
   :parameters (?X - default ?Y - default)
   :precondition (and (emptyhand) (on ?X ?Y) (not (clear ?X)) )
   :effect (and (probabilistic )
 )
  )
  (:action pickUp
   :parameters (?X - default ?Y - default)
   :precondition (and (on ?X ?Y) (not (emptyhand)) )
   :effect (and (probabilistic )
 )
  )
  (:action pickUp
   :parameters (?X - default ?Y - default)
   :precondition (and (not (on ?X ?Y)) )
   :effect (and (probabilistic )
 )
  )
)
