(define (domain triangle)
  (:requirements :typing :strips :equality :probabilistic-effects :rewards)
  (:types)
  (:predicates                (hasspare )
               (notFlattire )
  )
  (:action moveCar
   :parameters (?X - default ?Y - default)
   :precondition (and (notFlattire) (road ?X ?Y) (vehicleAt ?X) )
   :effect (and (probabilistic  0.593 (and (vehicleAt ?Y) (not (notFlattire)) (not (vehicleAt ?X)) ) 0.407 (and (vehicleAt ?Y) (not (vehicleAt ?X)) ))
 )
  )
  (:action moveCar
   :parameters (?X - default ?Y - default)
   :precondition (and (notFlattire) (vehicleAt ?X) (not (road ?X ?Y)) )
   :effect (and (probabilistic )
 )
  )
  (:action moveCar
   :parameters (?X - default ?Y - default)
   :precondition (and (vehicleAt ?X) (not (notFlattire)) )
   :effect (and (probabilistic )
 )
  )
  (:action moveCar
   :parameters (?X - default ?Y - default)
   :precondition (and (not (vehicleAt ?X)) )
   :effect (and (probabilistic )
 )
  )
  (:action changetire
   :parameters ()
   :precondition (and (hasspare) )
   :effect (and (probabilistic  1 (and (notFlattire) (not (hasspare)) ))
 )
  )
  (:action changetire
   :parameters ()
   :precondition (and (not (hasspare)) )
   :effect (and (probabilistic )
 )
  )
  (:action loadtire
   :parameters (?X - default)
   :precondition (and (spareIn ?X) (vehicleAt ?X) )
   :effect (and (probabilistic  1 (and (hasspare) (not (spareIn ?X)) ))
 )
  )
  (:action loadtire
   :parameters (?X - default)
   :precondition (and (vehicleAt ?X) (not (spareIn ?X)) )
   :effect (and (probabilistic )
 )
  )
  (:action loadtire
   :parameters (?X - default)
   :precondition (and (not (vehicleAt ?X)) )
   :effect (and (probabilistic )
 )
  )
)
