(define (domain triangle)
  (:requirements :typing :strips :equality :probabilistic-effects :rewards)
  (:types)
  (:predicates                (finished )
               (hasspare )
               (notFlattire )
  )
  (:action moveCar
   :parameters (?X - default ?Y - default)
   :precondition (and (notFlattire) (not (finished)) )
   :effect (and (probabilistic  1 (and (vehicleAt ?Y) (not (notFlattire)) (not (vehicleAt ?X)) ))
 )
  )
  (:action moveCar
   :parameters (?X - default ?Y - default)
   :precondition (and (not (notFlattire)) (not (finished)) )
   :effect (and (probabilistic )
 )
  )
  (:action loadtire
   :parameters (?X - default)
   :precondition (and (not (hasspare)) (not (finished)) )
   :effect (and (probabilistic  1 (and (hasspare) (not (spareIn ?X)) ))
 )
  )
  (:action loadtire
   :parameters (?X - default)
   :precondition (and (hasspare) (not (finished)) )
   :effect (and (probabilistic )
 )
  )
  (:action finish_action
   :parameters ()
   :precondition (and (not (finished)) )
   :effect (and (probabilistic  1 (and (finished) ))
                (when  (and (vehicleAt 75) (not (finished)) ) (increase (reward) 5))
 )
  )
)
