#include "ippc_wrapper/ippc_wrapper.h"


int main(int argc, char** argv) {
    ConfigReader config_reader;
    config_reader.init("rexd_config.cfg");
    Scenario scenario(RuleSet(), config_reader.get_path("simulator_ppddl_current_problem_file"), config_reader);
    float planning_result;

    XMLServer_t mserver;
    mserver.start_session(2323);
    mserver.start_round();
    std::cout << "Sending state " << scenario.get_state() << std::endl;
    Symbol action = mserver.get_action(scenario.get_state(), planning_result);
    mserver.end_round();
    mserver.end_session();

    std::cout << "Obtained action " << action << "with result " << planning_result << std::endl;
    std::cout << "Finishing" << std::endl;
    return 0;
}
